org.apache.struts2.dispatcher

## Class HttpParameters.Builder

- java.lang.Object
- - org.apache.struts2.dispatcher.HttpParameters.Builder

- Enclosing class:
    HttpParameters

      public static class HttpParameters.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HttpParameters.Builder(Map<String,?> requestParameterMap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpParameters` | `build()`
    `HttpParameters` | `buildNoNestedWrapping()` Alternate Builder method which avoids wrapping any parameters that are already a `Parameter` element within another `Parameter` wrapper.
    `HttpParameters.Builder` | `withComparator(Comparator<String> orderedComparator)`
    `HttpParameters.Builder` | `withExtraParams(Map<String,?> params)`
    `HttpParameters.Builder` | `withParent(HttpParameters parentParams)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpParameters.Builder

          protected HttpParameters.Builder(Map<String,?> requestParameterMap)

  - ### Method Detail

    - #### withParent

          public HttpParameters.Builder withParent(HttpParameters parentParams)

    - #### withExtraParams

          public HttpParameters.Builder withExtraParams(Map<String,?> params)

    - #### withComparator

          public HttpParameters.Builder withComparator(Comparator<String> orderedComparator)

    - #### build

          public HttpParameters build()

    - #### buildNoNestedWrapping

          public HttpParameters buildNoNestedWrapping()

      Alternate Builder method which avoids wrapping any parameters that are already a `Parameter` element within another `Parameter` wrapper.
      Returns:

Copyright © 2000–2019 Apache Software Foundation. All rights reserved.